Skip to main content
GET
/
vpp-participations
List all VPP participations
curl --request GET \
  --url https://api.flatpeak.com/vpp-participations \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "url": "/vpp-participations",
  "has_more": true,
  "data": [
    {
      "object": "vpp-participation",
      "id": "vpo_7c2f1a9e4b0d8f3a6e2c5d10",
      "live_mode": true,
      "device_id": "dev_63a6087272941ef077a8fd3e",
      "location_id": "loc_641b90b758fb8e6293716e40",
      "control_active": true,
      "telemetry_active": true,
      "suspension_reasons": [],
      "participation_state": [
        {
          "state": "ACTIVE",
          "status": "COMPLETE",
          "description": "Your device is dispatching.",
          "occurred_at": "2023-11-07T05:31:56Z",
          "expected_at": "2023-11-07T05:30:02Z",
          "suspension_reasons": []
        }
      ],
      "time_updated": "2023-11-07T05:31:56Z",
      "time_created": "2023-11-07T05:31:56Z",
      "provider": {
        "id": "prv_8587fa49c7e5297ccc6c57e5",
        "provider_display_name": "Leap",
        "logo_url": "https://s.flatpeak.com/83b06a60e38c2.png"
      },
      "programme": {
        "id": "vpr_6a1f8e375db9de605baadd46",
        "programme_display_name": "Community Powershare",
        "learn_more_url": "https://leap.com/programmes/community-powershare"
      },
      "account_id": "acc_661677911f2197045e6cf1b1"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Query Parameters

device_id
string
required

Filter by Flatpeak Device ID.

Example:

"loc_641b90b758fb8e6293716e40"

starting_after
string

Specifies a cursor for pagination use; defines the place in the list. To retrieve the next page in the list include starting_after where ID is the last ID in the currently retrieved list. Use either starting_after or ending_before, not both.

ending_before
string

Specifies a cursor for pagination use; defines the place in the list. To retrieve the previous page in the list, include ending_before, which is the first ID in the currently retrieved list. Use either starting_after or ending_before, not both.

limit
integer

A limit on the number of objects to be returned. Can range between 1 and 100, and the default is 30.

Response

Response example

Standard envelope for paginated list endpoints.

object
enum<string>
default:list
required

Always list for list responses.

Available options:
list
url
string
required

The endpoint path this list was requested from.

Example:

"/vpp-participations"

has_more
boolean
required

Whether more items exist after this page. Use the last item id as starting_after to fetch the next page.

data
VPP-Participation · object[]
required

The page of results.